Subject: bug#24968: 26.0.50; tex-terminate-paragraph not bound to C-j

From: Noam Postavsky <[email-masked]>
Date: Tue, 28 Nov 2017 21:12:17 -0500

reassign 24968 auctex
quit

Wouter Beek <[email-masked]> writes:

>   1. Open a buffer in LaTeX/P major mode.
>
>   2. Run command ‘C-h k C-j’.  The help buffer shows that ‘C-j’ is bound
>      to ‘reindent-then-newline-and-indent’.
>
>   3. Run command ‘C-h m’.  The help buffer states that ‘C-j’ is bound to
>      ‘tex-terminate-paragraph’.
>
> Problem: ‘C-j’ is not bound to the mode-specific command that is
> described in the mode documentation.

I believe this report is for AUCTeX.  In plain Emacs, we have:

    C-j runs the command tex-handle-newline (found in latex-mode-map),
    which is an interactive compiled Lisp function in ‘tex-mode.el’.